# Visualization
TKV2d
Graphic2d

# Graphic2d_VectorialMarker Class Reference

Groups all the primitives which behaves like
geometrical marker.
for example : EllipsMarker, CircleMarker ...
A marker is a primitive which retains its original
on-screen size no matter how the view is zoomed.
For example, markers are used as symbols of dimension.
Every marker takes a reference point as an argument in
its constructor. CircleMarker and EllipsMarker take
another point as the center and PolylineMarker takes the
first point of its list as its origin.
The coordinates of the centre or origin point are offsets
with respect to the reference point.
.

`#include <Graphic2d_VectorialMarker.hxx>`

Inheritance diagram for Graphic2d_VectorialMarker:

[legend]

## Public Member Functions

Standard_EXPORT void | SetPosition (const Quantity_Length aXPosition, const Quantity_Length aYPosition)
| Modifies the marker position. Warning: If the associated GraphicObject is transformed the position will be transformed. .
Standard_EXPORT Quantity_Length | XPosition () const
| Returns the x position of the marker Warning: If the associated GraphicObject is transformed the returned position is the transformed position. .
Standard_EXPORT Quantity_Length | YPosition () const
| Returns the y position of the marker Warning: If the associated GraphicObject is transformed the returned position is the transformed position. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | Graphic2d_VectorialMarker (const Handle(Graphic2d_GraphicObject)&aGraphicObject, const Quantity_Length aXPosition, const Quantity_Length aYPosition)
| Creates a marker at <axposition>, <ayposition> .

## Protected Attributes

Standard_ShortReal | myXPosition
Standard_ShortReal | myYPosition

## Constructor & Destructor Documentation

Standard_EXPORT Graphic2d_VectorialMarker::Graphic2d_VectorialMarker | ( | const Handle(Graphic2d_GraphicObject)& | aGraphicObject,
|  | const Quantity_Length | aXPosition,
|  | const Quantity_Length | aYPosition
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT const Graphic2d_VectorialMarker::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic2d_Line. Reimplemented in Graphic2d_CircleMarker, Graphic2d_EllipsMarker, and Graphic2d_PolylineMarker.

Standard_EXPORT void Graphic2d_VectorialMarker::SetPosition | ( | const Quantity_Length | aXPosition,
|  | const Quantity_Length | aYPosition
| ) |

Standard_EXPORT Quantity_Length Graphic2d_VectorialMarker::XPosition | ( |  | ) | const

Standard_EXPORT Quantity_Length Graphic2d_VectorialMarker::YPosition | ( |  | ) | const

## Field Documentation

Standard_ShortReal Graphic2d_VectorialMarker::myXPosition `[protected]`

Standard_ShortReal Graphic2d_VectorialMarker::myYPosition `[protected]`

The documentation for this class was generated from the following file:

- Graphic2d_VectorialMarker.hxx